Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Rich Client Platform (RCP) » how to import all dependencies?
how to import all dependencies? [message #725286] Wed, 14 September 2011 12:39
Luiz E. is currently offline Luiz E.
Messages: 97
Registered: September 2010
Member
hi all
i have an app that uses eclipselink and a target platform that points to eclipse rcp sdk and eclipselink target components.
when i try to start the app via my product file, the following occours

!SESSION 2011-09-14 12:37:14.328 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_27
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=pt_BR
Framework arguments:  -product br.com.german.plugin.br_com_runner
Command-line arguments:  -product br.com.german.plugin.br_com_runner -data C:\Java\workspaceRCP/../runtime-br.com.german.product -dev file:C:/Java/workspaceRCP/.metadata/.plugins/org.eclipse.pde.core/br.com.german.product/dev.properties -os win32 -ws win32 -arch x86 -consoleLog

!ENTRY org.eclipse.equinox.app 0 0 2011-09-14 12:37:15.156
!MESSAGE Product br.com.german.plugin.br_com_runner could not be found.

!ENTRY org.eclipse.osgi 2 0 2011-09-14 12:37:15.171
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-09-14 12:37:15.187
!MESSAGE Bundle reference:file:/C:/Java/workspaceRCP/br.com.german.plugin/ was not resolved.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package org.eclipse.persistence_2.3.0.v20110604-r9504.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package org.eclipse.persistence.config_2.3.0.v20110604-r9504.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package javax.persistence_2.0.3.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package org.postgresql_8.3.604.

!ENTRY org.eclipse.osgi 2 0 2011-09-14 12:37:15.187
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-09-14 12:37:15.187
!MESSAGE Bundle br.com.german.plugin_0.0.1 [2] was not resolved.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package javax.persistence_2.0.3.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package org.eclipse.persistence_2.3.0.v20110604-r9504.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package org.eclipse.persistence.config_2.3.0.v20110604-r9504.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package org.postgresql_8.3.604.

!ENTRY org.eclipse.osgi 2 0 2011-09-14 12:37:15.187
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-09-14 12:37:15.187
!MESSAGE Bundle reference:file:/C:/Java/workspaceRCP/br.com.german.plugin/ was not resolved.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package org.eclipse.persistence_2.3.0.v20110604-r9504.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package org.eclipse.persistence.config_2.3.0.v20110604-r9504.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package javax.persistence_2.0.3.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package org.postgresql_8.3.604.

!ENTRY org.eclipse.osgi 2 0 2011-09-14 12:37:15.187
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-09-14 12:37:15.187
!MESSAGE Bundle br.com.german.plugin_0.0.1 [2] was not resolved.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package javax.persistence_2.0.3.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package org.eclipse.persistence_2.3.0.v20110604-r9504.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package org.eclipse.persistence.config_2.3.0.v20110604-r9504.
!SUBENTRY 2 br.com.german.plugin 2 0 2011-09-14 12:37:15.187
!MESSAGE Missing imported package org.postgresql_8.3.604.

!ENTRY org.eclipse.osgi 4 0 2011-09-14 12:37:15.187
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
	at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
	at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1386)


then, i need to go to 'Run configurations', plug-ins tab, and select 'Add required plug-ins'
this is driving me nuts!
is there a way to add the required plug-ins via configurantions?
thanks in advice
Previous Topic:Strange Editor Header Tab Behaviour
Next Topic:The Proxied Handler ' ...' could not be loaded
Goto Forum:
  


Current Time: Thu Oct 23 01:42:02 GMT 2014

Powered by FUDForum. Page generated in 0.13760 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software